Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::BlendColor::Extensions Class Reference

Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions. More...

Inheritance diagram for osg::BlendColor::Extensions:

[legend]
List of all members.

## Public Member Functions
| Extensions (unsigned int contextID)
| Extensions (const Extensions &rhs)
void | lowestCommonDenominator (const Extensions &rhs)
void | setupGLExtenions (unsigned int contextID)
void | setBlendColorSupported (bool flag)
bool | isBlendColorSupported () const
void | setBlendColorProc (void *ptr)
void | glBlendColor (GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha) const
## Protected Member Functions
| ~Extensions ()
## Protected Attributes
bool | _isBlendColorSupported
void * | _glBlendColor

## Detailed Description

Encapsulates queries of extension availability, obtains extension function pointers, and provides convinience wrappers for calling extension functions.

## Constructor & Destructor Documentation

osg::BlendColor::Extensions::Extensions | ( | unsigned int | contextID | ) |

osg::BlendColor::Extensions::Extensions | ( | const Extensions & | rhs | ) |

osg::BlendColor::Extensions::~Extensions | ( |  | ) | `[inline, protected]`

## Member Function Documentation

void osg::BlendColor::Extensions::glBlendColor | ( | GLclampf | red,
|  | GLclampf | green,
|  | GLclampf | blue,
|  | GLclampf | alpha
| ) | const

bool osg::BlendColor::Extensions::isBlendColorSupported | ( |  | ) | const`[inline]`

void osg::BlendColor::Extensions::lowestCommonDenominator | ( | const Extensions & | rhs | ) |

void osg::BlendColor::Extensions::setBlendColorProc | ( | void * | ptr | ) | `[inline]`

void osg::BlendColor::Extensions::setBlendColorSupported | ( | bool | flag | ) | `[inline]`

void osg::BlendColor::Extensions::setupGLExtenions | ( | unsigned int | contextID | ) |

## Member Data Documentation

void* osg::BlendColor::Extensions::_glBlendColor`[protected]`

bool osg::BlendColor::Extensions::_isBlendColorSupported`[protected]`

The documentation for this class was generated from the following file:

- BlendColor